Bug 1438732 - [RFE] pass all v4 requests through the ovirt ruby sdk
Summary: [RFE] pass all v4 requests through the ovirt ruby sdk
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: GA
: 5.8.0
Assignee: Boriso
QA Contact: Ilanit Stein
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-04 10:05 UTC by Oved Ourfali
Modified: 2017-08-01 07:50 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-31 14:46:14 UTC
Category: ---
Cloudforms Team: RHEVM
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Description Oved Ourfali 2017-04-04 10:05:27 UTC
Description of problem:
As we plan to remove v3 of the oVirt API in oVirt 4.2, we need all the requests to go through v4 of the oVirt API.

Comment 5 Ilanit Stein 2017-05-08 11:31:32 UTC
Moving to verified on CFME-5.8.0.12/RHV-4.1.1.8,
based on the automation+manual testing done with the changes to V4. 

Only the operations that V4 is activated for them by default were tested.
The New features, that the V4 option is not activated for them, were not tested with V4 yet.

Comment 7 errata-xmlrpc 2017-05-31 14:46:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367

Comment 8 Ilanit Stein 2017-06-04 06:27:20 UTC
Pre testing done with switching to oVirt API V4, on RHV-4.1.1.8/CFME-5.8.0.16:

1. Automation tests PASSED.
2. Manual tests:
 a. VM provision (Native/ISO/PXE) - PASS, except for PXE bug 1454861
 b. VM reconfigure - PASS
 c. Provider full refresh - PASS
 d. Refresh of PXE server - PASS
 e. Refresh of iso domain - PASS
 f. Refresh of VM’s snapshots, disks, power status, memory, cpu - PASS 

These tests were run as a preparation to CFME-5.8.1, where oVirt API is planned to change from V3 to V4.


Note You need to log in before you can comment on or make changes to this bug.